# Pyodide (Web Serial)

```{eval-rst}
.. automodule:: serialx.platforms.serial_pyodide
   :no-members:
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_pyodide.PyodideSerialTransport
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autofunction:: serialx.platforms.serial_pyodide.register_js_port
```

```{eval-rst}
.. autofunction:: serialx.platforms.serial_pyodide.unregister_js_port
```
